kind: Deployment
hostNetwork: true
metrics:
  enabled: true
  serviceMonitor:
    enabled: true
    additionalLabels:
      release: prometheus
stats:
  enabled: true

# podAnnotations:
#   fluentbit.io/parser: cri

nodeSelector:
  # node-role.kubernetes.io/control-plane: ""
  kubernetes.io/hostname: server-3

tolerations:
  - key: node
    operator: Equal
    value: special
    effect: NoSchedule
  - key: node-role.kubernetes.io/master
    operator: Equal
    value: ""
    effect: NoSchedule
  - key: node-role.kubernetes.io/control-plane
    operator: Equal
    value: ""
    effect: NoSchedule

service:
  type: NodePort
  ports:
    http: 80
    https: 443

defaultBackend:
  podAnnotations:
    fluentbit.io/exclude: "true"
